petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCreateIS

Creates a "process" unassmembled matrix, it is assembled on each process but not across processes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateIS(MPI_Comm comm,PetscInt bs,PetscInt m,PetscInt n,PetscInt M,PetscInt N,ISLocalToGlobalMapping map,Mat *A)

### Input Parameters

| comm | - MPI communicator that will share the matrix
| bs | - local and global block size of the matrix
| m,n,M,N | - local and/or global sizes of the left and right vector used in matrix vector products
| map | - mapping that defines the global number for each local number

### Output Parameter

A -the resulting matrix

Notes: See MATIS for more details m and n are NOT related to the size of the map, they are the size of the part of the vector owned by that process. m + nghosts (or n + nghosts) is the length of map since map maps all local points plus the ghost points to global indices.

### See Also

MATIS, MatSetLocalToGlobalMapping()

Level:advanced
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages